Subject: Re: [PATCH] Complain about missing system calls.

From: Anton Blanchard <[email-masked]>
Date: Thu, 8 Mar 2007 21:31:41 -0600

Hi,

> Most system calls seem to get added to i386 first. This patch
> automatically generates a warning for any new system call which is
> implemented on i386 but not the architecture currently being compiled.
> On PowerPC at the moment, for example, it results in these warnings:

Love it!

...

> Thanks for the update. Quite why the PowerPC kernel defines system
> call numbers for all of these I have no idea :)

BTW while unistd.h may refer to sys_iopl etc, the actual syscall is sent
to ni_syscall in most of these useless cases.

Anton